;************************************************
; panel_9.ncl
;
; Concepts illustrated:
;   - Drawing an XY and polar/contour plot on the same page using viewport resources
;   - Using a blue-white-red color map
;   - Using indexed color to set contour fill colors
;   - Filling the areas of an XY curve above and below a reference line
;   - Drawing a Y reference line in an XY plot
;   - Turning off the map lat/lon grid lines
;   - Changing the size of a PNG image
;
;************************************************
; These files are loaded by default in NCL V6.2.0 and newer
; load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
; load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
;************************************************
begin
;********************
; get data
;********************


  lai = fbindirread("raw_EA.data",0,(/852,421,601/),"float")
  lai2 = reshape(lai(10:849,:,:),(/35,12,2,421,601/))

  ART = asciiread("../ART1_DJF_1982-2016_dt.txt",(/35/),"float")

  regg = new((/4,421,601/),float,-9999.)

regg!0 = "month"
regg!1 = "lat"
regg!2 = "lon"

regg&month = fspan(1,4,4)
regg&lat = fspan(15,50,421)
regg&lat@units = "degrees_north"
regg&lon = fspan(100,150,601)
regg&lon@units = "degrees_east"
regg@_FillValue=-9999

corr = regg

  do j=0,420
  do k=0,600

  if min(lai2(:,0:2,:,j,k)).gt.-999 then
  mm := new((/35/),float,-9999.)
  do y=0,34
  mm(y) = avg(lai2(y,0:2,:,j,k))/1000.
  end do
  yDtrend := dtrend(mm,True)
  regg(0,j,k) = regCoef(ART,yDtrend)
  corr(0,j,k) = escorc(ART,yDtrend)
  end if

  if min(lai2(:,1:3,:,j,k)).gt.-999 then
  mm := new((/35/),float,-9999.)
  do y=0,34
  mm(y) = avg(lai2(y,1:3,:,j,k))/1000.
  end do
  yDtrend := dtrend(mm,True)
  regg(1,j,k) = regCoef(ART,yDtrend)
  corr(1,j,k) = escorc(ART,yDtrend)
  end if

  if min(lai2(:,2:4,:,j,k)).gt.-999 then
  mm := new((/35/),float,-9999.)
  do y=0,34
  mm(y) = avg(lai2(y,2:4,:,j,k))/1000.
  end do
  yDtrend := dtrend(mm,True)
  regg(2,j,k) = regCoef(ART,yDtrend)
  corr(2,j,k) = escorc(ART,yDtrend)
  end if

  if min(lai2(:,3:5,:,j,k)).gt.-999 then
  mm := new((/35/),float,-9999.)
  do y=0,34
  mm(y) = avg(lai2(y,3:5,:,j,k))/1000.
  end do
  yDtrend := dtrend(mm,True)
  regg(3,j,k) = regCoef(ART,yDtrend)
  corr(3,j,k) = escorc(ART,yDtrend)
  end if

  end do
  end do


system("rm -f reg_lai_ART1_raw2016_seasonal.nc")
foh = addfile("reg_lai_ART1_raw2016_seasonal.nc","c")
foh->regg = regg

system("rm -f cor_lai_ART1_raw2016_seasonal.nc")
foh = addfile("cor_lai_ART1_raw2016_seasonal.nc","c")
foh->corr = corr

end

